Summary:        A hybrid between a 'make' utility and a 'shell script' language
Name:		icmake
Version:	9.02.07
Release:	%mkrel 4
License:	GPLv3
Group:		Development/Tools
URL:		https://fbb-git.github.io/icmake/
Source:		https://github.com/fbb-git/icmake/archive/%{version}/%{name}-%{version}.tar.gz

%description
Icmake is a hybrid between a 'make' utility and a 'shell script' language.
Originally, it was written to provide a useful tool for automatic program
maintenance and system administrative tasks on old MS-DOS platforms.

%package	doc
Group:		Documentation
Summary:	Documentation for icmake

%description	doc
This package contains the documentation for icmake.

%prep
%setup -q

# set the correct LIBDIR path
sed -i -e "s:usr/lib:usr/%{_lib}:g" %{name}/INSTALL.im

# fix executable perms in examples
pushd %{name}/examples
for i in am bup defines ds ftpxfer idir \
	initialization keep killprog nesteddirectives r tolower
do
	chmod -x $i
done
popd

%build
export CFLAGS="%{optflags}"
pushd %{name}
./icm_prepare /
./icm_bootstrap /
popd

%install
pushd %{name}
./icm_install progs %{buildroot}
./icm_install scripts %{buildroot}
./icm_install skel %{buildroot}
./icm_install man %{buildroot}
./icm_install doc %{buildroot}
./icm_install docdoc %{buildroot}
./icm_install etc %{buildroot}
popd

%files
%doc %{name}/changelog README
%{_bindir}/ic*
%{_libdir}/%{name}/
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
%{_datadir}/%{name}/
%{_mandir}/man*/*

%files doc
%{_datadir}/doc/%{name}/
%{_datadir}/doc/%{name}-doc/


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 9.02.07-4.mga8
+ Revision: 1513559
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 9.02.07-3.mga7
+ Revision: 1298271
- Mageia 7 Mass Rebuild

* Sat Apr 21 2018 daviddavid <daviddavid> 9.02.07-2.mga7
+ Revision: 1220680
- enable debug package as it should

* Mon Apr 02 2018 kekepower <kekepower> 9.02.07-1.mga7
+ Revision: 1214804
- Update to version 9.02.07

* Thu Feb 11 2016 umeabot <umeabot> 7.21.00-7.mga6
+ Revision: 954439
- Mageia 6 Mass Rebuild

* Mon Oct 19 2015 daviddavid <daviddavid> 7.21.00-6.mga6
+ Revision: 892648
- do not strip debug files (fix build with latest rpm)

* Wed Oct 15 2014 umeabot <umeabot> 7.21.00-5.mga5
+ Revision: 745617
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 7.21.00-4.mga5
+ Revision: 725087
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 7.21.00-3.mga5
+ Revision: 680449
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 7.21.00-2.mga4
+ Revision: 531541
- Mageia 4 Mass Rebuild

* Mon Aug 05 2013 sander85 <sander85> 7.21.00-1.mga4
+ Revision: 463852
- New version: 7.21.00

* Sat Jan 12 2013 umeabot <umeabot> 7.16.00-3.mga3
+ Revision: 354195
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 malo <malo> 7.16.00-2.mga3
+ Revision: 310402
- spec clean-up
- update RPM group

* Sun Jul 10 2011 ahmad <ahmad> 7.16.00-1.mga2
+ Revision: 121717
- Update to 7.16.00

* Mon Mar 07 2011 ahmad <ahmad> 7.15.00-1.mga1
+ Revision: 66031
- update to 7.15.00
- imported package icmake


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 7.12.5-2mdv2011.0
+ Revision: 611171
- rebuild

* Sat Dec 26 2009 Jérôme Brenier <incubusss@mandriva.org> 7.12.5-1mdv2010.1
+ Revision: 482330
- new version 7.12.5

* Sat Nov 21 2009 Jérôme Brenier <incubusss@mandriva.org> 7.12.3-1mdv2010.1
+ Revision: 467773
- import icmake

